<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – User Domain Management</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="user-domain-management">User Domain Management</h1>
<p>User Domains in Cacti are a way of providing Custom Login experiences to differing groups of users and using LDAP or Active Directory Group Permissions to limit who can login using those customer permissions.</p>
<p>Once a user login in for the first time, thier permissions will enherit the Template accounts permission settings including User Group's and their permissions.</p>
<p>So, as the name implies, you can have from one to many LDAP and Active directory listings in the Domains plugin.</p>
<p>A use example would be for example 3 levels of customers who will have access to the system. For example lets say those three groups are:</p>
<ul>
<li>Adminnistrators</li>
<li>Managers</li>
<li>Client Team</li>
</ul>
<p>Each of these users groups are controlled by Active Directory there are AD User Groups that map one-to-one with these Groups. When you have these three Domains setup and enabled, when you goto the Cacti Login screen there will be a drop-down settings with the three Domains listed in the drop-down.</p>
<p>If a normal user tries logging as an Administrator, their login will be blocked and so on.</p>
<p>The first image shows the list of domains, which domain is primary, and the actions you can take on a Domain.</p>
<p><img src="images/user-domains.png" alt="User Domains" /></p>
<p>In this second screen, you can see the User Domain login screen where you can pick AD or LDAP, the credentials, importantly the Template User Account (That which holds base permissions), and the require group membership, which when you check it, you can then specify the AD and LDAP User Group paths.</p>
<p><img src="images/user-domains-edit1.png" alt="User Domains Edit" /></p>
<p>In the last images, you can see the Group Settings information, and if you have the users Full Name and Email stored in LDAP or AD, you can pull that information and make it a part of the Cacti wrapper account when it's first created.</p>
<p><img src="images/user-domains-edit2.png" alt="User Domains Edit" /></p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
